@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

:root{
    --bg-color: #1f242d;
    --second-bg-color: #323946;
    --main-color: #7cf03d;
    --white-color: #fff;
    --disabled-color: #fff3;
}

a{
    color: #fff;
    text-decoration: none;
}

.H{
    color: #7cf03d;
}


/* Navbar--------------------------------------------------------------------------------------------------------------- */
.navbar{
    position: fixed;
    width: 100%;
    left: 0;
    top: 0;
    padding: 20px 9%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
    visibility: hidden;
    opacity: 0;
    animation: showNavbar 1.5s linear forwards;
    animation-delay: 1.2s;
}

.navbar > .wrapper{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    backdrop-filter: blur(30px);
    padding: 10px 30px;
    background-color: #fff1;
    border: 1px solid var(--main-color);
    border-radius: 1000px;
}

@keyframes showNavbar{
    100%{
        visibility: visible;
        opacity: 1;
    }
}

.navbar .logo {
    font-size: 30px;
    font-weight: 700;
}

.navbar ul {
    display: flex;
}

.navbar ul li {
    list-style: none;
    margin-left: 30px;
}

.navbar ul li a {
    font-size: 20px;
    font-weight: 500;
    transition: .5s;
}

.navbar ul li a:hover, .navbar ul li a.active {
    color: #7cf03d;
}

/* Home-------------------------------------------------------------------------------------------------------------- */
.home {
    display: flex;
    height: 100vh;
    gap: 50px;
    align-items: center;
    padding: 140px 9% 0;
    color: #fff;
    visibility: hidden;
    opacity: 0;
    animation: showNavbar 1.5s linear forwards;
    animation-delay: 1.6s;
}

.home_info h1{
    font-size: 54px;
    font-weight: 700;
}

.home_info h2{
    display: inline-block;
    font-size: 32px;
    margin-top: -10px;
}

.home_info h2 span{
    position: relative;
    display: inline-block;
    color: transparent;
    -webkit-text-stroke: .7px #7cf03d;
    animation: positionText 16s linear infinite;
    animation-delay: calc( -4s * var(--i));
}

@keyframes positionText{
    25%,100%{
        display: none;
    }
}

.home_info h2 span::before{
    content: attr(data-text);
    position: absolute;
    width: 0;
    border-right: 2px solid #7cf03d;
    color: #7cf03d;
    white-space: nowrap;
    overflow: hidden;
    animation: fill-text 4s linear infinite;
}

@keyframes fill-text{
    10%,
    100%{
        width: 0;
    }

    70%, 
    90%{
        width: 100%;
    }
}

.home_info p{
    font-size: 16px;
    margin: 15px 0 20px;
    padding-right: 100px;
}

.home_info .btn_social {
    align-items: center;
    padding-bottom: 30px;
    padding-top: 10px;
}

.btn{
    display: inline-block;
    padding: 10px 30px;
    background: #7cf03d;
    border: 2px solid #7cf03d;
    border-radius: 40px;
    box-shadow: 0 0 10px #7cf03d;
    font-size: 16px;
    color: #1f242d;
    font-weight: 600;
    transition: .5s;
}

.btn:hover{
    background: transparent;
    color: #7cf03d;
    box-shadow: none;
}


.home_info .btn_social .social_icons{
    margin-top: 50px;
}

.home_info .btn_social .social_icons a{
    display: inline-flex;
    padding: 10px;
    border: 3px solid #7cf03d;
    border-radius: 50%;
    font-size: 30px;
    color: #7cf03d;
    margin: 0 8px;
    transition: .5s;
}

.home_info .btn_social .social_icons a:hover{
    background: #7cf03d;
    color: #1f242d;
    box-shadow: 0 0 10px #7cf03d;
}

/* home img -------------------------------------------------------------------------------*/
.home_img .img-box{
    position: relative;
    width: 32vw;
    height: 32vw;
    border-radius: 50%;
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.home_img .img-box::before,
.home_img .img-box::after{
    content: '';
    position: absolute;
    width: 500px;
    height: 500px;
    background: conic-gradient(transparent, transparent,transparent, #7cf03d);
    transform: rotate(0deg);
    animation: rotate 10s linear infinite;
}

.home_img .img-box::after{
    animation-delay: -5s;
}

@keyframes rotate{
    100%{
        transform: rotate(360deg);
    }
}

.home_img .img-box .img-item{   
    position: relative;
    width: 100%;
    height: 100%;
    background: #1f242d;
    border-radius: 50%;
    border: .1px solid #1f242d;
    display: flex;
    justify-content: center;
    z-index: 1;
    overflow: hidden;
}

.home_img .img-box .img-item img{
    position: absolute;
    top: 20px;
    display: block;
    width: 85%;
    object-fit: cover;
    mix-blend-mode: lighten;
}

/* bars-animation---------------------------------------------------------------------------------------------------- */
.bars-animation{
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    z-index: -1;
}

.bars-animation .bar{
    width: 100%;
    height: 100%;
    background: #1f242d;
    transform: translateY(-100%);
    animation: show-bars .5s ease-in-out forwards;
    animation-delay: calc(0.1s * var(--i));
}

@keyframes show-bars{
    100%{
        transform: translateY(0);
    }
}


/* Services-------------------------------------------------------------------------------------------------------------- */
.services {
    background: var(--bg-color);
    padding: 100px 9%;
    height: 100vh;
    color: #fff;
}

.heading{
    font-size: 3rem;
    text-align: center;
    margin-bottom: 1.5rem;
}

.heading span{
    color: #7cf03d;
}
.services-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
    grid-gap: 1.8rem;
}
.services-container .services-box{
    background: var(--second-bg-color);
    padding: 1rem;
    border: .2rem solid var(--second-bg-color);
    border-radius: 1rem;
    transition: 0.5s;
}

.services-container .services-box:hover{
    border-color: var(--main-color);
    box-shadow:  0 0 10px var(--main-color);
    transform: scale(1.05);
}

.services-box .icon{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.services-box .icon i{
    font-size: 2.5rem;
    transition: 0.5s;
}

.services-box:hover .icon :not(a i){
    color: var(--main-color);
}

.services-box .icon a{
    display: inline-flex;
    padding: 0.5rem;
    background: var(--white-color);
    border-radius: 50%;
    transition: 0.5s;
}

.services-box:hover .icon a{
    background: var(--main-color);
}

.services-box .icon a i{
    font-size: 1.5rem;
    color: var(--bg-color);
    transform: rotate(225deg);
}

.services-box .icon a:hover i{
    transform: rotate(180deg);
}

.services-box h3{
    margin-top: 10px;
    margin-bottom: 10px;
    font-size: 24px;
    transition: 0.5s;
}

.services-box:hover h3{
    color: var(--main-color);
}

.services-box p{
    font-size: 16px;
}



/* resume ...................................................................................*/
.resume {
    background: var(--bg-color);
    padding: 100px 9%;
    height: 100vh;
    color: #fff;
}

.resume-container{
    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-gap: 3rem;
}

.resume-box h2{
    font-size: 3rem;
}

.resume-box p{
    font-size: 1rem;
}

.resume-box .desc{
    margin: 1rem 0 2rem;
}

.resume-box .resume-btn{
    width: 100%;
    height: 3.5rem;
    background: var(--second-bg-color);
    border: .2rem solid var(--second-bg-color);
    border-radius: 1rem;
    font-size: 1.5rem;
    color: var(--white-color); 
    font-weight: 500;
    cursor: pointer;
    margin-bottom: 1rem;
}

.resume-box .resume-btn.active{
    color: var(--main-color);
    border-color: var(--main-color);
}

.resume-box .heading{
    font-size: 2rem;
    text-align: left;
}

.resume-detail{
    display: none;
}

.resume-detail.active{
    display: block;
}



















/* projects */
.projects {
    background: var(--bg-color);
    padding: 100px 9%;
    height: 100vh;
    color: #fff;
}


/* Research */
.research {
    background: var(--bg-color);
    padding: 100px 9%;
    height: 100vh;
    color: #fff;
}

/* contact */
.contact {
    background: var(--bg-color);
    padding: 100px 9%;
    height: 100vh;
    color: #fff;
}

/* Footer */
footer{
    background: var(--bg-color);
    padding: 50px 9%;
    text-align: center;
    color: #7cf03d;
}




